# Class LongsSortedViewIterator

java.lang.Object
org.apache.datasketches.quantilescommon.SortedViewIterator
org.apache.datasketches.quantilescommon.LongsSortedViewIterator

public final class LongsSortedViewIterator extends SortedViewIterator
Iterator over quantile sketches of primitive type long.

## Constructor Summary

Constructors
Constructor
Description
`LongsSortedViewIterator(long[] quantiles, long[] cumWeights)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`long`
`getQuantile()`
Gets the quantile at the current index.

### Methods inherited from class SortedViewIterator

`getN, getNaturalRank, getNaturalRank, getNormalizedRank, getNormalizedRank, getWeight, next`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LongsSortedViewIterator

public LongsSortedViewIterator(long[] quantiles, long[] cumWeights)
Constructor.

Parameters:
  `quantiles` - the given array of quantiles, which must be ordered.
  `cumWeights` - the given array of cumulative weights, which must be ordered, start with the value one, and the last value must be equal to N, the total number of items updated to the sketch.

## Method Details

### getQuantile

public long getQuantile()
Gets the quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Returns:
  the quantile at the current index.